[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: New dependency in Fedora 8 - metacity



On Sun, 2007-11-25 at 16:54 +0100, Martin Sourada wrote:

> system-config-display-1.0.51-4.fc8
> firstboot-1.4.39-1.fc8
>   imho these two should not require metacity

s-c-d requires metacity because it requires a window manager for the
case where it launches its own X server, and metacity is the standard
gtk window manager.  Likewise, firstboot modules may create their own X
windows, and you need a window manager around to get the focus right.

We could depend on gnome-wm instead, but that isn't likely to make
anyone happier than just requiring metacity.  Or we could require miniwm
from anaconda, which isn't actually a terrible idea, but you'd have to
change the anaconda packaging first because you probably don't want to
drag in all of anaconda at runtime.

- ajax


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]